GeneratedFile Class | Extending Qt Creator Manual

Extending Qt Creator Manual | GeneratedFile

Extending Qt Creator Manual 4.3.0

# GeneratedFile Class

(Core::GeneratedFile)

The GeneratedFile class represents a file generated by a wizard. More...

Header: | #include <GeneratedFile>

- List of all members, including inherited members

## Public Types

enum | Attribute { OpenEditorAttribute, OpenProjectAttribute, CustomGeneratorAttribute, KeepExistingFileAttribute, ForceOverwrite }
flags | Attributes

## Public Functions

| GeneratedFile()
| GeneratedFile(const QString &path)
| GeneratedFile(const GeneratedFile &)
| ~GeneratedFile()
Attributes | attributes() const
QByteArray | binaryContents() const
QString | contents() const
Id | editorId() const
bool | isBinary() const
QString | path() const
void | setAttributes(Attributes a)
void | setBinary(bool b)
void | setBinaryContents(const QByteArray &c)
void | setContents(const QString &c)
void | setEditorId(Id id)
void | setPath(const QString &p)
bool | write(QString *errorMessage) const
GeneratedFile & | operator=(const GeneratedFile &)

## Detailed Description

The GeneratedFile class represents a file generated by a wizard.

The Wizard class checks whether each file already exists and reports any errors that may occur during creation of the files.

See also Core::BaseFileWizardParameters, Core::BaseFileWizard, Core::StandardFileWizard, and Core::Internal::WizardEventLoop.

## Member Type Documentation

### enum GeneratedFile::Attribute
flags GeneratedFile::Attributes

The Attributes type is a typedef for QFlags<Attribute>. It stores an OR combination of Attribute values.

## Member Function Documentation

### GeneratedFile::GeneratedFile()

Default constructs an instance of GeneratedFile.

### GeneratedFile::GeneratedFile(const QString &path)

Default constructs an instance of GeneratedFile.

### GeneratedFile::GeneratedFile(const GeneratedFile &)

Copy constructor.

### GeneratedFile::~GeneratedFile()

Destroys the instance of GeneratedFile.

### Attributes GeneratedFile::attributes() const

See also setAttributes().

### QByteArray GeneratedFile::binaryContents() const

See also setBinaryContents().

### QString GeneratedFile::contents() const

See also setContents().

### Id GeneratedFile::editorId() const

See also setEditorId().

### bool GeneratedFile::isBinary() const

### QString GeneratedFile::path() const

See also setPath().

### void GeneratedFile::setAttributes(Attributes a)

See also attributes().

### void GeneratedFile::setBinary(bool b)

See also isBinary().

### void GeneratedFile::setBinaryContents(const QByteArray &c)

See also binaryContents().

### void GeneratedFile::setContents(const QString &c)

See also contents().

### void GeneratedFile::setEditorId(Id id)

See also editorId().

### void GeneratedFile::setPath(const QString &p)

See also path().

### bool GeneratedFile::write(QString *errorMessage) const

### GeneratedFile &GeneratedFile::operator=(const GeneratedFile &)

Copy-assignment operator.